<?php

/**
* @version 2.7.11
* @package Joomla 1.6/1.7
* @subpackage DT Register
* @copyright Copyright (C) 2006 DTH Development
* @copyright contact dthdev@dthdevelopment.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

include_once(JPATH_SITE."/administrator/components/com_dtregister/lib/defines.php");
include_once(JPATH_SITE."/administrator/components/com_dtregister/models/event.php");
include_once(JPATH_SITE."/administrator/components/com_dtregister/models/config.php");
include_once(JPATH_SITE."/administrator/components/com_dtregister/models/user.php");
include_once(JPATH_SITE."/administrator/components/com_dtregister/helpers/dtregister.php");

jimport('joomla.form.formfield');

class JFormFieldmoderatorlist extends JFormField {
 
	//The field class must know its own type through the variable $type.
	protected $type = 'moderatorlist';
 
	//public function getLabel() {
		// code that returns HTML that will be shown as the label
	//}
 
	public function getInput() {
		  $value = $this->value ;
		  $jUserTable = DtrTable::getInstance('juser','Table');
		  $options = DtHtml::options( $jUserTable->optionslist_module(),'Select Moderator');
		  return  JHTML::_('select.genericlist', $options, $this->name,'',"value","text",$value);
	}
}
?>